--- old/usr/src/uts/common/io/ib/adapters/tavor/tavor_cq.c	Sun Jun 11 17:03:33 2017
+++ new/usr/src/uts/common/io/ib/adapters/tavor/tavor_cq.c	Sun Jun 11 17:03:33 2017
@@ -81,8 +81,6 @@
 
 	TAVOR_TNF_ENTER(tavor_cq_alloc);
 
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*cq_attr))
-
 	/*
 	 * Determine whether CQ is being allocated for userland access or
 	 * whether it is being allocated for kernel access.  If the CQ is
@@ -136,7 +134,6 @@
 		goto cqalloc_fail2;
 	}
 	cq = (tavor_cqhdl_t)rsrc->tr_addr;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*cq))
 	cq->cq_is_umap = cq_is_umap;
 
 	/* Use the index as CQ number */
@@ -208,7 +205,6 @@
 		goto cqalloc_fail4;
 	}
 	buf = (tavor_hw_cqe_t *)cq->cq_cqinfo.qa_buf_aligned;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*buf))
 
 	/*
 	 * Initialize each of the Completion Queue Entries (CQE) by setting
@@ -248,7 +244,6 @@
 		TAVOR_TNF_FAIL(IBT_INSUFF_RESOURCE, "failed register mr");
 		goto cqalloc_fail5;
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr))
 	addr = mr->mr_bindinfo.bi_addr;
 	lkey = mr->mr_lkey;
 
@@ -484,7 +479,6 @@
 	tavor_wrid_cq_force_reap(cq);
 
 	mutex_exit(&cq->cq_lock);
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*cq))
 
 	/*
 	 * Reclaim CQC entry from hardware (using the Tavor HW2SW_CQ
@@ -614,7 +608,6 @@
 		goto cqresize_fail;
 	}
 	buf = (tavor_hw_cqe_t *)new_cqinfo.qa_buf_aligned;
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*buf))
 
 	/*
 	 * Initialize each of the Completion Queue Entries (CQE) by setting
@@ -653,7 +646,6 @@
 		TAVOR_TNF_FAIL(IBT_INSUFF_RESOURCE, "failed register mr");
 		goto cqresize_fail;
 	}
-	_NOTE(NOW_INVISIBLE_TO_OTHER_THREADS(*mr))
 
 	/* Determine if later ddi_dma_sync will be necessary */
 	cq_sync = TAVOR_CQ_IS_SYNC_REQ(state, new_cqinfo);
